{ lib, config, pkgs, ... }:
lib.mkIf config.desktop.dev.enable {

  environment.systemPackages = with pkgs; [
    jetbrains.rust-rover
    jetbrains.pycharm-community-bin
    clang
    clang-tools
    gcc
  ];

  programs.direnv = {
    enable = true;
    nix-direnv.enable = true;
  };
}
